package org.vendor.connector.exceptions;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.vendor.connector.exceptions.InvalidChipXMLFileException;

public class ElementNotFoundException extends InvalidChipXMLFileException {
  private static final long serialVersionUID = 1L;
  
  public ElementNotFoundException(String filePath, String parent, String elementName) {
    super(getException(filePath, parent, elementName));
  }
  
  public ElementNotFoundException(String filePath, String elementName) {
    super(getException(filePath, elementName));
  }
  
  private static final String getException(String filePath, String parent, String elementName) {
    StringBuilder sb = new StringBuilder();
    sb.append("Invalid XML File:\t('").append(filePath).append("')\n");
    sb.append("Can not find the Eelement '").append(elementName)
      .append("' under the Element '").append(parent).append("'.");
    return sb.toString();
  }
  
  private static final String getException(String filePath, String element) {
    StringBuilder sb = new StringBuilder();
    sb.append("Invalid XML File:\t('").append(filePath).append("')\n");
    sb.append("Can not find the Eelement '").append(element).append("'.");
    return sb.toString();
  }
}
